Bug 1171045 - Mesa-drivers build failure ppc64le "error: ‘std::index_sequence’ has not been declared"
Mesa-drivers build failure ppc64le "error: ‘std::index_sequence’ has not been...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X.Org
Current
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-05-04 08:59 UTC by Michel Normand
Modified: 2020-05-04 19:41 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Mesa_drivers_standard_ppc64le_202005040925.log (3.96 MB, text/plain)
2020-05-04 08:59 UTC, Michel Normand
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Normand 2020-05-04 08:59:22 UTC
Created attachment 837313 [details]
Mesa_drivers_standard_ppc64le_202005040925.log

Mesa-drivers build failure ppc64le "error: ‘std::index_sequence’ has not been declared"

as reported in attached Mesa_drivers_standard_ppc64le_202005040925.log

extract:
===
[  483s] In file included from /usr/include/llvm/IR/Module.h:19,
[  483s]                  from ../src/gallium/state_trackers/clover/llvm/codegen.hpp:35,
[  483s]                  from ../src/gallium/state_trackers/clover/llvm/codegen/bitcode.cpp:34:
[  483s] /usr/include/llvm/ADT/STLExtras.h:559:49: error: ‘std::index_sequence’ has not been declared
...
[  485s] /usr/include/llvm/IR/PassInstrumentation.h:85:34:   required from here
[  485s] /usr/include/llvm/ADT/PointerIntPair.h:148:25: error: static assertion failed: PointerIntPair with integer size too large for pointer
[  485s]   148 |   static_assert(IntBits <= PtrTraits::NumLowBitsAvailable,
[  485s]       |                 ~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[  485s] /usr/include/llvm/ADT/PointerIntPair.h:163:42: error: right operand of shift expression ‘(1 << 18446744073709551615)’ is >= than the precision of the left operand [-fpermissive]
===

As per osc jobhist failure is not directly related to a source code change of Mesa-drivers.
===
$osc jobhist  -l10   openSUSE:Factory:PowerPC/Mesa-drivers standard ppc64le
time                 package      reason           code      build time worker
2020-02-22 20:03:38  Mesa-drivers source change    succeeded 30m 55s   obs-power8-02:15
2020-02-26 14:57:01  Mesa-drivers source change    succeeded 34m 21s   obs-power8-02:20
2020-03-03 10:02:50  Mesa-drivers source change    succeeded 32m 14s   obs-power8-04:19
2020-03-11 18:57:41  Mesa-drivers source change    succeeded 31m 15s   obs-power8-02:3 
2020-03-26 02:04:06  Mesa-drivers source change    succeeded 21m 14s   obs-power8-01:12
2020-04-05 19:46:58  Mesa-drivers source change    succeeded 21m 28s   obs-power8-01:12
2020-04-07 09:10:54  Mesa-drivers source change    succeeded 31m 12s   obs-power8-04:14
2020-04-10 02:20:43  Mesa-drivers new build        failed     7m 42s   obs-power8-01:8 
2020-04-27 22:21:44  Mesa-drivers source change    failed    14m 15s   obs-power8-03:12
2020-05-02 20:47:49  Mesa-drivers source change    failed    11m 35s   obs-power8-02:3 
===
Comment 1 Michel Normand 2020-05-04 09:02:20 UTC
This is cause of openQA failure https://openqa.opensuse.org/tests/1251872#step/select_patterns/132
===
badlist content:

2 packages failed
nothing provides Mesa-dri = 20.0.5 needed by Mesa-20.0.5-249.1.ppc64le
nothing provides Mesa-dri = 20.0.5 needed by Mesa-20.0.5-249.1.ppc64le
===
Comment 2 Stefan Dirsch 2020-05-04 14:17:49 UTC
Well, I made changes to Mesa after 2020-04-07 

- update to Mesa 20.0.5
- require llvm/clang 10
- update to Mesa 20.0.6
Comment 3 Michel Normand 2020-05-04 14:33:07 UTC
proposed correction in https://build.opensuse.org/request/show/800082
Comment 4 Stefan Dirsch 2020-05-04 19:41:53 UTC
Thanks  a lot! Accepted. :-)